Author Topic: Database error upgradin from 1.2.1 to 1.3  (Read 3282 times)

ignasi

  • Guest
Database error upgradin from 1.2.1 to 1.3
« on: March 20, 2009, 10:31:01 am »
I'm trying to upgrade from version 1.2.1 to 1.3 and when I run the /public/upgrade t'he upgrade process returns this error:

Failed to execute DB schema transformations. MySQL said: Unknown table 'og_eventtypes'

Any idea?

Thanks

Ignasi
http://www.igvirtual.com

mckkev

  • Newbie
  • *
  • Posts: 4
    • View Profile
Re: Database error upgradin from 1.2.1 to 1.3
« Reply #1 on: March 20, 2009, 05:38:49 pm »
I too ran into this problem.  I was running 1.2.1, did the upgrade from within the OpenGoo interface.  It loaded the upgrade page and gave me an error about"

Failed to execute DB schema transformations. MySQL said: table already exists og_billing_categories"

So went and removed the table

I now get this

# Failed to execute DB schema transformations. MySQL said: Unknown table 'og_eventtypes'

I can't see anything anymore, I hit OpenGoo, and I get nothing but a blank white page, page source is empty.

I unfortunately didnt do a backup before I started this ...     moron.

So I'm looking for any help at the moment that will get me back to 1.2.1 or any variation with my current DB information.  I don't want to restore from a backup, it's too old.  :(   Or if there is a solution to help the upgrade to 1.3 complete successfully, that would be better.   At the moment I am stuck, with no ideas and no OpenGoo.

thanks in advance.
« Last Edit: March 20, 2009, 07:39:35 pm by mckkev »

mckkev

  • Newbie
  • *
  • Posts: 4
    • View Profile
Re: Database error upgradin from 1.2.1 to 1.3
« Reply #2 on: March 23, 2009, 04:23:05 am »
Well I've got my 1.2.1 back and running, my still unable to upgrade to 1.3 getting the same error.  I downloaded the package myself and uploaded it as I have previous revisions, also tried the upgrade options available within the opengoo interface, both fail.

ignacio

  • Hero Member
  • *****
  • Posts: 1703
    • View Profile
Re: Database error upgradin from 1.2.1 to 1.3
« Reply #3 on: March 23, 2009, 09:47:36 am »
When you upgrade OpenGoo to 1.3 there's an SQL script that is run to update the database schema. This file is 'public/upgrade/templates/db_migration/1_3_matambrito.php'. Try removing the lines that are giving you trouble so that you can get to the end of the script without errors. Then you should have a correctly installed OpenGoo 1.3. Obviously, backup first so that you can rollback should you encounter any trouble!!

mckkev

  • Newbie
  • *
  • Posts: 4
    • View Profile
Re: Database error upgradin from 1.2.1 to 1.3
« Reply #4 on: March 24, 2009, 06:55:59 pm »
Would these problem I remove not impact whether it runs properly or not?  Are these lines a problem, or they're suppose be there and by removing them, I don't 'really' have a full complete 1.3 installation?

So I remove them, I get to the end of the upgrade, those steps I removed aren't required for 1.3 to operate properly?

mckkev

  • Newbie
  • *
  • Posts: 4
    • View Profile
Re: Database error upgradin from 1.2.1 to 1.3
« Reply #5 on: March 24, 2009, 07:18:54 pm »
So I followed your advice, it appears the script only likes to run once, and when it's been run more than once, it simply errors on everything rather than skip over what has been done (trying to add a table that already exists errors out rather than skips over).    So I got it through the script and ran into more trouble.  The Dashboard is empty for every workspace, as well as tasks, I can't see any, get the following error:

og.addDomEventHandler is not a function

This is an upgrade done 'online' through the opengoo interface, wasn't a cache issue either, these issues happen on two different browsers.

ignacio

  • Hero Member
  • *****
  • Posts: 1703
    • View Profile
Re: Database error upgradin from 1.2.1 to 1.3
« Reply #6 on: March 25, 2009, 06:04:28 pm »
So let's recapitulate. You had version 1.2.1, you ran the upgrade to 1.3 but you got an error saying that table og_billing_categories already existed. This is already weird because this table didn't exist on version 1.2.1, and it is only created once when upgrading to 1.3. Maybe you ran the upgrade to 1.3 twice? But this shouldn't leave you with a broken installation, it would just fail the second time.

I forgot to mention, you should set DEBUG to true in config/config.php, so that you get an error message instead of a blank page. This could give us more info on the problem. Do this and we'll go on based on that input.

ignasi

  • Guest
Re: Database error upgradin from 1.2.1 to 1.3
« Reply #7 on: March 26, 2009, 08:53:22 am »
Thanks a lo Ignacio

I  had removed the lines  in the script, and now it works!!!!

Ignasi
http://www.igvirtual.com

 

anything